#ifndef F1_H
#define F1_H

#define bool char
#define true 1
#define false 0

#ifdef __cplusplus
extern "C"{
#endif

static void __attribute__((constructor))init(void);
static void __attribute__((destructor))finit(void);

extern bool loadLibrary(const char * const s);

extern bool unloadLibrary();

extern bool startExecution(long long);

extern bool stopExecution();

extern bool isLoaded();

extern char *getValue();

#ifdef __cplusplus
}
#endif

#endif

